commit: 7d13bd1804c6b7bdf89d6135e92076a1a06fa543
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 11:48:58 2016 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 24 12:45:08 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d13bd18
dev-vcs/git-bz: Update and clean up the live ebuild
dev-vcs/git-bz/git-bz-9999.ebuild | 30 +++++++++++++-----------------
1 file changed, 13 insertions(+), 17 deletions(-)
diff --git a/dev-vcs/git-bz/git-bz-9999.ebuild
b/dev-vcs/git-bz/git-bz-9999.ebuild
index 77259c0..5195286 100644
--- a/dev-vcs/git-bz/git-bz-9999.ebuild
+++ b/dev-vcs/git-bz/git-bz-9999.ebuild
@@ -1,49 +1,45 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 pypy )
+PYTHON_REQ_USE='sqlite'
-inherit python-single-r1
-
-#if LIVE
EGIT_REPO_URI="git://git.fishsoup.net/${PN}
http://git.fishsoup.net/cgit/${PN}"
-inherit git-r3
-#endif
+inherit git-r3 python-single-r1
DESCRIPTION="Bugzilla subcommand for git"
HOMEPAGE="http://www.fishsoup.net/software/git-bz/"
-SRC_URI="https://www.bitbucket.org/mgorny/${PN}/downloads/${P}.tar.bz2"
+SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS=""
IUSE=""
RDEPEND="dev-vcs/git"
-
-#if LIVE
DEPEND="app-text/asciidoc
app-text/xmlto"
-KEYWORDS=
-SRC_URI=
-#endif
-
src_configure() {
# custom script
./configure --prefix="${EPREFIX}/usr" || die
}
-#ifdef LIVE
src_compile() {
emake ${PN}.1
}
-#endif
src_install() {
default
python_fix_shebang "${ED%/}"/usr/bin/${PN}
}
+
+pkg_postinst() {
+ if ! has_version dev-python/pycrypto; then
+ elog "For Chrome/-ium cookie decryption support, please
install:"
+ elog " dev-python/pycrypto"
+ fi
+}